import { Message, Properties } from "protobufjs/light";
import { ServerIdentity } from "../network/proto";
/**
 * Status request message
 */
export declare class StatusRequest extends Message<StatusRequest> {
    /**
     * @see README#Message classes
     */
    static register(): void;
}
/**
 * Status of a service
 */
export declare class Status extends Message<Status> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly field: {
        [k: string]: string;
    };
    constructor(props?: Properties<Status>);
    /**
     * Get the value of a field
     * @param field The name of the field
     * @returns the value or undefined
     */
    getValue(k: string): string;
    /**
     * Get a string representation of this status
     * @returns a string
     */
    toString(): string;
}
/**
 * Status response message
 */
export declare class StatusResponse extends Message<StatusResponse> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly status: {
        [k: string]: Status;
    };
    readonly serverIdentity: ServerIdentity;
    constructor(props?: Properties<StatusResponse>);
    /**
     * Get the status of a service
     * @param key The name of the service
     * @returns the status
     */
    getStatus(key: string): Status;
    /**
     * Get a string representation of all the statuses
     * @returns a string
     */
    toString(): string;
}
